---
title: RTCPeerConnection.remoteDescription
slug: Web/API/RTCPeerConnection/remoteDescription
tags:
  - Experimental
  - Property
  - RTCPeerConnection
  - Read-only
  - Reference
  - WebRTC
  - remoteDescription
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The read-only property <code><strong>RTCPeerConnection.remoteDescription</strong></code> returns a {{domxref("RTCSessionDescription")}} describing the session (which includes configuration and media information) for the remote end of the connection. If this hasn't been set yet, this is <code>null</code>.</p>

<p>The returned value typically reflects a remote description which has been received over the signaling server (as either an offer or an answer) and then put into effect by your code calling {{domxref("RTCPeerConnection.setRemoteDescription()")}} in response.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>sessionDescription</em> = <em>peerConnection</em>.remoteDescription;</pre>

<p>On a more fundamental level, the returned value is the value of {{domxref("RTCPeerConnection.pendingRemoteDescription")}} if that property isn't <code>null</code>; otherwise, the value of {{domxref("RTCPeerConnection.currentRemoteDescription")}} is returned. See {{SectionOnPage("/en-US/docs/Web/API/WebRTC_API/Connectivity", "Pending and current descriptions")}} for details on this algorithm and why it's used.</p>

<h2 id="Example">Example</h2>

<p>This example looks at the <code>remoteDescription</code> and displays an alert containing the {{domxref("RTCSessionDescription")}} object's <code>type</code> and <code>sdp</code> fields.</p>

<pre class="brush:js">var pc = new RTCPeerConnection();
…
var sd = pc.remoteDescription;
if (sd) {
  alert("Remote session: type='" +
        sd.type + "'; sdp description='" +
        sd.sdp + "'");
}
else {
  alert("No remote session yet.");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-peerconnection-remotedescription', 'RTCPeerConnection.remoteDescription') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.remoteDescription")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCPeerConnection.setRemoteDescription()")}}, {{domxref("RTCPeerConnection.pendingRemoteDescription")}}, {{domxref("RTCPeerConnection.currentRemoteDescription")}}</li>
 <li>{{domxref("RTCPeerConnection.setLocalDescription()")}}, {{domxref("RTCPeerConnection.pendingLocalDescription")}}, {{domxref("RTCPeerConnection.currentLocalDescription")}}, {{domxref("RTCPeerConnection.localDescription")}}</li>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
